<template>
  <vue-json-pretty
    :data="json"
    class="rounded-borders bg-amber-1 shadow-1 q-pa-md q-ml-xl"
    :highlight-mouseover-node="true"
    :highlight-selected-node="false"
    :select-on-click-node="false"
    :show-double-quotes="false"
    :show-length="true"
    :show-line="true"
  />
</template>

<script>
import VueJsonPretty from 'vue-json-pretty'

export default {
  name: 'JsonPretty',
  components: { VueJsonPretty },
  props: {
    text: {
      type: [String, Object],
      required: true
    }
  },
  computed: {
    json () {
      try {
        return JSON.parse(this.text)
      } catch (e) {
        return this.text
      }
    }
  }
}
</script>
